Skip to main content
Resource Center/Resource Pool/Image Operations
GETImage OperationsSince SynchronousAuth Required

QueryImagePackage

QueryImagePackage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

GET/zstack/v1/image-packages

/zstack/v1/image-packages

Operation ID

QueryImagePackage

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/image-packages' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "e97e03503a5d3bf19a23f91c9a79e009", "name": "ova", "description": "description", "vmUuid": "b3da643979eb3452abbeb978208cb672", "backupStorageUuid": "6185f4e18a993ece84a06ec8c469b530", "state": "Exported", "exportUrl": "http://bs-host-name/path/to/ova.ova", "md5Sum": "sampleMd5Sum", "format": "OVA", "size": 1.073741824E10, "createDate": "May 10, 2022 5:26:20 AM", "lastOpDate": "May 10, 2022 5:26:20 AM" } ] }

Change History

This API has no change history records yet.

View all change history